Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4ExcitedStringDecay.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4ExcitedStringDecay.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4ExcitedStringDecay.cc	(revision 1196)
@@ -148,4 +148,11 @@
     Beta = TotalCollisionMom.boostVector();
     Output->Boost(Beta);
+/* // Uzhi
+G4cout<<"Number of produced hadrons // correct E and P "<<Output->size()<<G4endl; // Uzhi
+    for(cHadron = 0; cHadron < Output->size(); cHadron++)
+    {
+G4cout<<cHadron<<" "<<Output->operator[](cHadron)->Get4Momentum()<<" "<<Output->operator[](cHadron)->Get4Momentum().mag()<<Output->operator[](cHadron)->GetDefinition()->GetParticleName()<<G4endl;  
+    }
+*/ // Uzhi
     return success;
   }
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4HadronBuilder.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4HadronBuilder.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4HadronBuilder.cc	(revision 1196)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HadronBuilder.cc,v 1.10 2009/05/22 16:34:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4LundStringFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4LundStringFragmentation.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4LundStringFragmentation.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4LundStringFragmentation.cc,v 1.14 2009/05/22 16:36:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $ 1.8
+// $Id: G4LundStringFragmentation.cc,v 1.18 2009/10/05 12:52:48 vuzhinsk Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $ 1.8
 //
 // -----------------------------------------------------------------------------
@@ -58,5 +58,6 @@
     SmoothParam  = 0.2;                   
 
-    SetStringTensionParameter(0.25);                           // Uzhi 20 June 08
+//    SetStringTensionParameter(0.25);                           // Uzhi 20 June 08
+    SetStringTensionParameter(1.);                           // Uzhi 20 June 09
    }
 
@@ -196,5 +197,5 @@
             LeftVector->operator[](0)->SetPosition(aPosition);
 */            
-//G4cout<<"Single hadron "<<LeftVector->operator[](0)->GetPosition()<<" "<<LeftVector->operator[](0)->GetFormationTime()<<G4endl;
+//G4cout<<"Single hadron "<<LeftVector->operator[](0)->Get4Momentum()<<" "<<LeftVector->operator[](0)->Get4Momentum().mag()<<G4endl;
           } else {    // 2 hadrons created from qq-qqbar are stored
             LeftVector->operator[](0)->SetFormationTime(theString.GetTimeOfCreation());
@@ -293,5 +294,6 @@
         G4double      TimeOftheStringCreation=theString.GetTimeOfCreation();
         G4ThreeVector PositionOftheStringCreation(theString.GetPosition());
-
+// Uzhi 11.07.09
+//G4cout<<" String T Pos"<<TimeOftheStringCreation<<' '<<PositionOftheStringCreation<<G4endl;
 /*  // For large formation time open *
         G4double      TimeOftheStringCreation=theString.GetTimeOfCreation()+100*fermi;
@@ -313,4 +315,6 @@
         }
 */
+
+//G4cout<<"Lund Frag # hadrons"<<LeftVector->size()<<G4endl;       // Uzhi 11.07.09
 	for(size_t C1 = 0; C1 < LeftVector->size(); C1++)
 	{
@@ -322,9 +326,18 @@
 	   G4LorentzVector Coordinate(Hadron->GetPosition(), Hadron->GetFormationTime());
 	   Momentum = toObserverFrame*Coordinate;
-	   Hadron->SetFormationTime(TimeOftheStringCreation+Momentum.e());
+	   Hadron->SetFormationTime(TimeOftheStringCreation+Momentum.e()    // Uzhi 11.07.09
+                                                           -fermi/c_light); // Uzhi 11.07.09
 	   G4ThreeVector aPosition(Momentum.vect());
 //	   Hadron->SetPosition(theString.GetPosition()+aPosition);
 	   Hadron->SetPosition(PositionOftheStringCreation+aPosition);
 //G4cout<<"Hadron "<<C1<<" "<<Hadron->GetPosition()/fermi<<" "<<Hadron->GetFormationTime()/fermi<<G4endl;
+/* // Uzhi 11.07.09
+G4cout<<C1<<' '<<Hadron->GetDefinition()->GetParticleName()<<G4endl;
+G4cout<<Hadron->GetDefinition()->GetPDGMass()<<' '
+<<Hadron->Get4Momentum()<<G4endl;
+G4cout<<Hadron->GetFormationTime()<<' '
+<<Hadron->GetPosition()<<' '
+<<Hadron->GetPosition().z()/fermi<<G4endl;
+*/  // Uzhi
 	};
 
@@ -519,5 +532,5 @@
 //	        <<  "   pt2max= " << pt2max ;
 	 	                                                                          
-         Pt=SampleQuarkPt(sqrt(pt2max)); Pt.setZ(0); G4double Pt2=Pt.mag2();
+         Pt=SampleQuarkPt(std::sqrt(pt2max)); Pt.setZ(0); G4double Pt2=Pt.mag2();
 
 	 
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4QGSMFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4QGSMFragmentation.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4QGSMFragmentation.cc	(revision 1196)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QGSMFragmentation.cc,v 1.9 2008/06/23 08:35:55 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VKinkyStringDecay.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VKinkyStringDecay.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VKinkyStringDecay.cc	(revision 1196)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VKinkyStringDecay.cc,v 1.4 2008/04/25 14:20:14 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //  Maxim Komogorov
 //
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VLongitudinalStringDecay.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VLongitudinalStringDecay.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VLongitudinalStringDecay.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VLongitudinalStringDecay.cc,v 1.14 2009/05/22 16:35:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// $Id: G4VLongitudinalStringDecay.cc,v 1.18 2009/08/03 13:21:25 vuzhinsk Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -----------------------------------------------------------------------------
@@ -71,5 +71,4 @@
 
 // Changable Parameters below.
-   
    SigmaQT = 0.5 * GeV;
    
@@ -493,5 +492,5 @@
    } else {
       // sample in limited range
-      Pt = -std::log(CLHEP::RandFlat::shoot(exp(-sqr(ptMax)/sqr(SigmaQT)), 1.));
+      Pt = -std::log(CLHEP::RandFlat::shoot(std::exp(-sqr(ptMax)/sqr(SigmaQT)), 1.));
    }
    Pt = SigmaQT * std::sqrt(Pt);
@@ -505,9 +504,10 @@
    {
 
-   // `yo-yo` formation time
+//   `yo-yo` formation time
 //   const G4double kappa = 1.0 * GeV/fermi/4.;      // Uzhi String tension 1.06.08
      G4double kappa = GetStringTensionParameter();
 //G4cout<<"Kappa "<<kappa<<G4endl;                   // Uzhi 20.06.08
 //G4int Uzhi; G4cin>>Uzhi;                           // Uzhi 20.06.08
+//G4cout<<"Number of hadrons "<<Hadrons->size()<<G4endl; // Vova
    for(size_t c1 = 0; c1 < Hadrons->size(); c1++)
       {
@@ -521,7 +521,24 @@
       G4double HadronE  = Hadrons->operator[](c1)->Get4Momentum().e();
       G4double HadronPz = Hadrons->operator[](c1)->Get4Momentum().pz();
-      Hadrons->operator[](c1)->SetFormationTime((theInitialStringMass - 2.*SumPz + HadronE - HadronPz)/(2.*kappa));
-      G4ThreeVector aPosition(0, 0,     (theInitialStringMass - 2.*SumE  - HadronE + HadronPz)/(2.*kappa));
+      Hadrons->operator[](c1)->SetFormationTime(
+(theInitialStringMass - 2.*SumPz + HadronE - HadronPz)/(2.*kappa)/c_light); //Uzhi1.07.09c_light
+
+      G4ThreeVector aPosition(0, 0,     
+(theInitialStringMass - 2.*SumE  - HadronE + HadronPz)/(2.*kappa));
       Hadrons->operator[](c1)->SetPosition(aPosition);
+
+/*
+G4cout<<"kappa "<<kappa<<G4endl;
+G4cout<<c1<<" Partic time, position Old "<<
+(theInitialStringMass - 2.*SumPz + HadronE - HadronPz)/(2.*kappa)<<' '<<
+(theInitialStringMass - 2.*SumE  - HadronE + HadronPz)/(2.*kappa)<<G4endl;
+
+G4cout<<c1<<" Partic time, position New "<<
+(theInitialStringMass - 2.*SumPz + HadronE - HadronPz)/(2.*kappa)/c_light<<' '<<
+(theInitialStringMass - 2.*SumE  - HadronE + HadronPz)/(2.*kappa)<<G4endl;
+
+G4cout<<"fermi "<<fermi<<" 1/fermi "<<1./fermi<<' '<<"1*fermi/c "<<1.*fermi/c_light<<G4endl;
+G4int Uzhi; G4cin>>Uzhi;                           // Uzhi 20.06.08
+*/
       } 
    }
